%global modname zope.processlifetime
%global srcname zope-processlifetime
%global sum Zope process lifetime events

Name:        python-%{srcname}
Version:     2.1.0
Release:     3%{?dist}
Summary:     %{sum}

License:     ZPLv2.1
Group:       Development/Libraries
Source0:     http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
URL:         http://pypi.python.org/pypi/zope.processlifetime

BuildArch:   noarch

%description
This package provides interfaces / implementations for events relative to
the lifetime of a server process (startup, database opening, etc.)

%package -n python2-%{srcname}
Summary: %{sum}
BuildRequires:  python2-devel, python2-setuptools
BuildRequires:  python2-zope-interface
Requires:       python2-zope-interface
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This package provides interfaces / implementations for events relative to
the lifetime of a server process (startup, database opening, etc.)

%package -n python3-%{srcname}
Summary: %{sum}
BuildRequires: python3-devel, python3-setuptools
BuildRequires: python3-zope-interface
Requires:      python3-zope-interface
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This package provides interfaces / implementations for events relative to
the lifetime of a server process (startup, database opening, etc.)


%prep
%setup -q -n %{modname}-%{version}

%build
%{py2_build}
%{py3_build}

%install
%{py2_install}
%{py3_install}

%check
%{__python2} setup.py test
# https://github.com/pypa/setuptools/issues/912
#%{__python3} setup.py test


%files -n python2-%{srcname}
%license LICENSE.txt
%doc CHANGES.rst README.rst
# Co-own %%{python2_sitelib}/zope/

%dir %{python2_sitelib}/zope/
%{python2_sitelib}/zope/processlifetime/
%exclude %{python2_sitelib}/zope/processlifetime/tests.py*
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

%files -n python3-%{srcname}
%license LICENSE.txt
%doc CHANGES.rst README.rst
# Co-own %%{python3_sitelib}/zope/

%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/processlifetime/
%exclude %{python3_sitelib}/zope/processlifetime/tests.py*
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 2.1.0-2
- Rebuild for Python 3.6

* Thu Jul 21 2016 Petri Ylitalo <ylitalo.petri@gmail.com> - 2.1.0-1
- New upstream version
- Ported to Python3

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 13 2012 Robin Lee <cheeselee@fedoraproject.org> - 1.0-3
- Requires/BuildRequires python-zope-interface

* Sat Sep 18 2010 Robin Lee <robinlee.sysu@gmail.com> - 1.0-2
- Spec cleaned up
- Requires: python-zope-filesystem and python-setuptools removed
- Exclude the tests from installation
- Co-own %%{python_sitelib}/zope/
- Add %%check section and run tests

* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 1.0-1
- Initial packaging
